%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.93
%endif
Summary: Jpilot pilot desktop software
Name: jpilot
Version: 0.99.2
Release: 8
License: GPL
Group: Applications/Productivity
URL: http://jpilot.org
Source: http://jpilot.org/jpilot-%{version}.tar.gz
Source1: jpilot.desktop
Patch: jpilot-0.99.2-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk+-devel >= 1.2.0, pilot-link-devel
%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif
Requires: gtk+ >= 1.2.0 , pilot-link
PreReq: /sbin/ldconfig
ExcludeArch: s390 s390x

%description
J-Pilot is a desktop organizer application for the palm pilot that runs under
Linux. t is similar in functionality to the one that 3com distributes for a
well known rampant legacy operating system.

%prep
%setup -q
%patch -p1 -b .config

%build
cp /usr/share/libtool/config.* .
%configure
make
make jpilot-dump
make libplugin

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_datadir},%{_mandir}/man1}
%makeinstall 

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Utilities
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/jpilot.desktop
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor net \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Utility;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/jpilot.desktop
%endif

# install icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 icons/jpilot-icon3.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS README COPYING TODO CREDITS INSTALL  
%{_bindir}/*
%{_datadir}/jpilot
%{_datadir}/pixmaps/*
%{_libdir}/%{name}
%{_mandir}/man1/*.*
%if %{desktop_file}
%{_datadir}/applications/*
%else
/etc/X11/applnk/Utilities/jpilot.desktop
%endif

%changelog
* Thu Aug 22 2002 Than Ngo <than@redhat.com> 0.99.2-8
- rebuild against new pilot-link

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 0.99.2-7
- rebuild against pilot-link-0.11.2

* Wed Jul 24 2002 Than Ngo <than@redhat.com> 0.99.2-6
- desktop file issue (bug #69451)

* Thu Jul 18 2002 Than Ngo <than@redhat.com> 0.99.2-5
- rebuild against new pilot-link
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 0.99.2-3
- Don't forcibly strip binaries

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- 0.99.2
- added man pages

* Fri Apr 12 2002 Preston Brown <pbrown@redhat.com>
- fix icon in .desktop file

* Tue Mar 26 2002 Preston Brown <pbrown@redhat.com> 0.99-86
- fix Comment entry in desktop file

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 0.99-85
- rebuild in new environment

* Fri Jan 25 2002 Than Ngo <than@redhat.com> 0.99-84
- rebuild in rawhide

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 0.99-82
- rebuild against pilot-link

* Sun Aug  5 2001 Than Ngo <than@redhat.com>
- fix bug #50586

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Improve langification
- mark desktop file as config(noreplace)
- move dependency on ldconfig from requires to prereq

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- languify to satisfy rpmlint

* Fri Jun 29 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- delete Packager: line in spec file

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude s390,s390x

* Fri Jun 22 2001 Preston Brown <pbrown@redhat.com>
- build for dist

* Thu Feb  8 2001 Tim Powers <timp@redhat.com>
- updated to 0.99, bug fixes/feature enhancements

* Tue Dec 19 2000 Tim Powers <timp@redhat.com>
- rebuilt. For some reason buildsystem made the dirs 777 again. Now
  it's fine.

* Fri Dec 15 2000 Tim Powers <timp@redhat.com>
- fixd bad dir perms for ~/.jpilot (was creating them as 777, needs to
  be 700 for security purposes
- no devel package, was a waste to do that when only two files are included
- use %%makeinstall, and predefined macros for dirs so that if
  %%configure and %%makeinstall change it can be picked up without
  further editing of the files section
- changed Copyright, it's GPL'ed
 
* Thu Nov 23 2000 Than Ngo <than@redhat.com>
- add missing plugin library and jpilot-dump
- made devel package
- clean up spec file

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jun 30 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- using applnk now instead of a GNOME specific menu entry
- built for 7.0

* Wed Apr 19 2000 Tim Powers <timp@redhat.com>
- added desktop entry for GNOME

* Wed Apr 12 2000 Tim Powers <timp@redhat.com>
- updated to 0.98.1

* Mon Apr 3 2000 Tim Powers <timp@redhat.com>
- updated to 0.98
- bzipped source
- using percent configure instead of ./configure
- quiet setup
- minor spec file cleanups

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- changed requires

* Mon Oct 25 1999 Tim Powers <timp@redhat.com>
- changed group to Applications/Productivity
- first build
